%define gnome_icon_theme_version 2.22.0
%define gtk2_version 2.14.0
%define intltool_version 0.35.5
%define gtkhtml_major 3.14

# Use stricter build settings than required by upstream.
%define strict_build_settings 1

### Abstract ###

Name: gtkhtml3
Version: 3.26.3
Release: 3.1.moblin2
Group: System Environment/Libraries
Summary: GtkHTML library
License: LGPLv2+ and GPLv2
URL: http://projects.gnome.org/evolution/
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Source: http://download.gnome.org/sources/gtkhtml/3.26/gtkhtml-%{version}.tar.bz2
Patch0: htmltable.patch

### Dependencies ###

Requires: gnome-icon-theme >= %{gnome_icon_theme_version}

### Build Dependencies ###

BuildRequires: enchant-devel
BuildRequires: gail-devel
BuildRequires: gettext
BuildRequires: gnome-common
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: iso-codes-devel
BuildRequires: libglade2-devel >= 2.0
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libtool

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.
It was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Group: Development/Libraries
Summary: Libraries, includes, etc to develop gtkhtml applications
Requires: %{name} = %{version}-%{release}
Requires: enchant-devel
Requires: iso-codes-devel
Requires: libglade2-devel >= 2.0
Requires: libgnomeui-devel >= 2.0

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

%prep
%setup -q -n gtkhtml-%{version}
%patch0 -p1

%build

# Add stricter build settings here as the source code get cleaned up.
# We want to make sure things like compiler warnings and avoiding deprecated
# functions in the GNOME/GTK+ libraries stay fixed.
#
# Please file a bug report at bugzilla.gnome.org if these settings break
# compilation, and encourage the upstream developers to use them.

%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
	-DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DGNOME_DISABLE_DEPRECATED=1 \
	-Wdeclaration-after-statement \
	-Werror-implicit-function-declaration \
	-Werror"
%endif

# Rerun the GNU "autotools" since we patched configure.in.

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gtkhtml/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/gtkhtml/*.a

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/gtkhtml-editor-test
%{_libdir}/libgtkhtml-%{gtkhtml_major}.so.*
%{_libdir}/libgtkhtml-editor.so.*
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/libgtkhtml-%{gtkhtml_major}.so
%{_libdir}/libgtkhtml-editor.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Sep 27 2009 Yan Li <yan.i.li@intel.com> 3.26.3
- Updated to latest stable upstream release
* Thu Mar 26 2009 Anas Nashif <anas.nashif@intel.com> 3.25.92
- Initial import into Moblin
